'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.resetPassword = exports.requestPasswordReset = undefined;

var _cspace = require('./cspace');

var _cspace2 = _interopRequireDefault(_cspace);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var requestPasswordReset = exports.requestPasswordReset = function requestPasswordReset(email, tenantId) {
  return function () {
    var config = {
      params: {
        email: email,
        tid: tenantId
      }
    };

    return (0, _cspace2.default)().create('accounts/requestpasswordreset', config);
  };
}; /* global btoa */

var resetPassword = exports.resetPassword = function resetPassword(password, token) {
  return function () {
    var config = {
      data: {
        'ns2:passwordreset': {
          '@xmlns:ns2': 'http://collectionspace.org/services/authentication',
          token: token,
          password: btoa(password)
        }
      }
    };

    return (0, _cspace2.default)().create('accounts/processpasswordreset', config);
  };
};

exports.default = {};