'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.configureCSpace = exports.setSession = exports.createSession = exports.CSPACE_CONFIGURED = undefined;

var _cspaceClient = require('cspace-client');

var _cspaceClient2 = _interopRequireDefault(_cspaceClient);

var _get = require('lodash/get');

var _get2 = _interopRequireDefault(_get);

var _prefs = require('./prefs');

var _login = require('./login');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var CSPACE_CONFIGURED = exports.CSPACE_CONFIGURED = 'CSPACE_CONFIGURED';

var client = void 0;
var session = void 0;

var createSession = exports.createSession = function createSession(username, password) {
  if (typeof username === 'undefined' && typeof password === 'undefined') {
    return client.session();
  }

  return client.session({
    username: username,
    password: password
  });
};

var setSession = exports.setSession = function setSession(newSession) {
  session = newSession;

  return {
    type: CSPACE_CONFIGURED,
    payload: session.config()
  };
};

var configureCSpace = exports.configureCSpace = function configureCSpace(config) {
  return function (dispatch) {
    client = (0, _cspaceClient2.default)({
      url: (0, _get2.default)(config, 'serverUrl')
    });

    var newSession = createSession();

    dispatch(setSession(newSession));

    var _newSession$config = newSession.config(),
        username = _newSession$config.username;

    return dispatch((0, _login.readAccountPerms)(config, username)).then(function () {
      return dispatch((0, _prefs.loadPrefs)(username));
    });
    // .catch(() => {
    //   // TODO: Expect a 401 here if the stored token has expired.
    // });
  };
};

exports.default = function () {
  return session;
};